# This program is intended to use the Serial Monitor to 
# communicate with two development boards connected via USB
# Starting Conditions:  There must be two devlopment boards and the ports 
#                       they are connected to must match the ports below
#                       That board must be running code that is able to 
#                       read what was sent - see "readSerialValue.ino"
#                       The Serial Monitor within Arduino IDE must be closed 
#                       prior to running this program. It may be opened after program begins.
# Input:    The user types an integer in the text box and press one of the buttons or quit. 
# Output:   Sends the value as a byte to the relative Serial Monitor

# Importing Libraries
import serial
from tkinter import *

window = Tk() # launch  tk window

window.geometry("750x250") # window size

# setting up the ports - will be specific to your machine
# macOS will look similar to '/dev/cu.usbmodem...'
# windows will be in the format COM#, such as 'COM4'
port1 = serial.Serial(port='/dev/cu.usbmodem1401', baudrate=9600)  
port2 = serial.Serial(port='/dev/cu.usbmodem1101', baudrate=115200)
global entry # store user input here                                                                   

def Arduino():  # user wants to send code to the Arduino Port

    
    string= entry.get()
    port1.write(string.encode())


def ESP():  # user wants to send code to the ESP32C3 Port

    string= entry.get()
    port2.write(string.encode())
    





# create and pack the buttons, labels, and entry widget for the window
# packing them makes them appear and fit in the window
Label(window, text="How many times do you want to blink the LED?", font=("Courier 22 bold")).pack()
entry= Entry(window, width= 40)
entry.focus_set()
entry.pack()
Label(window, text="To which microcontroller do you want to send the command?", font=("Courier 22 bold")).pack()
oneBtn = Button(window, text="Arduino", fg='red', command=Arduino)
oneBtn.pack()
twoBtn = Button(window, text="ESP", fg='orange', command=ESP)
twoBtn.pack()
window.mainloop()












    






















